// simple.frag

#extension GL_EXT_gpu_shader4 : enable

uniform sampler2D textureImage;
uniform sampler2D textureImage1;

uniform float texAlpha;
uniform float texXScale;
uniform float texYScale;

void main (void)
{
    vec4 texColor = texture2D(textureImage, gl_TexCoord[0].st);

    vec2 texCoord = gl_TexCoord[0].st;
    texCoord[0] = (texCoord[0] - 0.5) / texXScale + 0.5;
    texCoord[1] = (texCoord[1] - 0.5) / texYScale + 0.5;
    		
    vec4 texColor1 = texture2D(textureImage1, texCoord.st);

    texColor[0] += 0.0001;
    texColor[1] += 0.0001;
    texColor[2] += 0.0001;
    float alpha = texAlpha * texColor1[3];
    if (texCoord[0] < 0 || texCoord[0] > 1 ||
	texCoord[1] < 0 || texCoord[1] > 1) alpha = 0;

    gl_FragColor[0] = (1 - alpha) * texColor[0] + alpha * texColor1[0];
    gl_FragColor[1] = (1 - alpha) * texColor[1] + alpha * texColor1[1];
    gl_FragColor[2] = (1 - alpha) * texColor[2] + alpha * texColor1[2];
    gl_FragColor[3] = (1 - alpha) * texColor[3] + alpha;

    return;
}
    
